aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-wsgiref/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-15 18:47:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-09-17 15:01:33 +0000
commit12f818462c0853746f7b3cdb3b89dde31f1f89f9 (patch)
tree6b044a1032dc338a5390ec6e4160e01f604ab0fd /testing/py-wsgiref/APKBUILD
parent86640b6b6524c0f5f2bf40ace87799855a65bbc7 (diff)
downloadaports-12f818462c0853746f7b3cdb3b89dde31f1f89f9.tar.gz
aports-12f818462c0853746f7b3cdb3b89dde31f1f89f9.tar.bz2
aports-12f818462c0853746f7b3cdb3b89dde31f1f89f9.tar.xz
testing/py-wsgiref: new aport
A WSGI (PEP 333) Reference Library http://cheeseshop.python.org/pypi/wsgiref
Diffstat (limited to 'testing/py-wsgiref/APKBUILD')
-rw-r--r--testing/py-wsgiref/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-wsgiref/APKBUILD b/testing/py-wsgiref/APKBUILD
new file mode 100644
index 0000000000..51092d01df
--- /dev/null
+++ b/testing/py-wsgiref/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-wsgiref
+_pkgname=wsgiref
+pkgver=0.1.2
+pkgrel=0
+pkgdesc="A WSGI (PEP 333) Reference Library"
+url="http://cheeseshop.python.org/pypi/wsgiref"
+arch="noarch"
+license="Python"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="29b146e6ebd0f9fb119fe321f7bcf6cb wsgiref-0.1.2.zip"
+sha256sums="c7e610c800957046c04c8014aab8cce8f0b9f0495c8cd349e57c1f7cabf40e79 wsgiref-0.1.2.zip"
+sha512sums="d6a8723cf6b94e712630cec8667d15d77551ea3005bed6e57079ea3c0fa898328c7f9aafc6bdb3c5f0545f82ec147bea90a5fa65f0889dee199ed7b24d9ff2ff wsgiref-0.1.2.zip"